ipa_buffer Struct Reference

Buffer information for the IPA context operations. More...

## Public Attributes

unsigned int | id
| The buffer unique ID (see libcamera::IPABuffer::id)
unsigned int | num_planes
| The number of used planes in the ipa_buffer::planes array.
struct ipa_buffer_plane | planes [3]
| The buffer planes (up to 3)

## Detailed Description

Buffer information for the IPA context operations.

The documentation for this struct was generated from the following files:

- include/libcamera/ipa/ipa_interface.h
- src/libcamera/ipa_interface.cpp